POST api/Zapier/InsertServiceRequestsRemoveDriver
Insert service request remove driver.
Request Information
URI Parameters
None.
Body Parameters
ServiceRequestsRemoveDriverModel| Name | Description | Type | Additional information |
|---|---|---|---|
| driver_name_to_remove | string |
Required |
|
| due_date | string |
None. |
|
| description | string |
None. |
|
| status | string |
None. |
|
| insured_id | globally unique identifier |
None. |
|
| insured_name | string |
None. |
|
| insured_email | string |
None. |
|
| insured_phone | string |
None. |
|
| policy_number | string |
None. |
|
| stage | string |
None. |
|
| custom_type | string |
None. |
|
| request_database_id | globally unique identifier |
None. |
|
| policy_database_id | Collection of globally unique identifier |
None. |
|
| agent_database_id | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"driver_name_to_remove": "sample string 1",
"due_date": "sample string 2",
"description": "sample string 3",
"status": "sample string 4",
"insured_id": "6d5342c3-4118-48b5-af67-2a0bf0ba2118",
"insured_name": "sample string 5",
"insured_email": "sample string 6",
"insured_phone": "sample string 7",
"policy_number": "sample string 8",
"stage": "sample string 9",
"custom_type": "sample string 10",
"request_database_id": "bf2c9b5b-9b25-42cc-b093-ca3763d3a882",
"policy_database_id": [
"355a0efc-0bac-42fa-8637-aefd1d086b9c",
"5481ec95-f78f-4327-8a36-4c06c7b65d9e"
],
"agent_database_id": [
"bb02ce09-91c5-40ef-a3fe-26ce36ae25d1",
"ff0845fa-0f89-48d9-9375-eeeb3c27618c"
]
}
application/xml, text/xml
Sample:
<ServiceRequestsRemoveDriverModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
<AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>bb02ce09-91c5-40ef-a3fe-26ce36ae25d1</d2p1:guid>
<d2p1:guid>ff0845fa-0f89-48d9-9375-eeeb3c27618c</d2p1:guid>
</AgentDatabaseId>
<CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</CustomType>
<Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Description>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredEmail>
<InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">6d5342c3-4118-48b5-af67-2a0bf0ba2118</InsuredId>
<InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredName>
<InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredPhone>
<PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>355a0efc-0bac-42fa-8637-aefd1d086b9c</d2p1:guid>
<d2p1:guid>5481ec95-f78f-4327-8a36-4c06c7b65d9e</d2p1:guid>
</PolicyDatabaseId>
<PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</PolicyNumber>
<RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">bf2c9b5b-9b25-42cc-b093-ca3763d3a882</RequestDatabaseId>
<Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</Stage>
<Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</Status>
<DriverNameToRemove>sample string 1</DriverNameToRemove>
<DueDate>sample string 2</DueDate>
</ServiceRequestsRemoveDriverModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "c30c932e-7b46-4575-ae43-0d5345857419",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>c30c932e-7b46-4575-ae43-0d5345857419</DatabaseId> </NowCertsApiResultWithDatabaseId>